package com.steerinfo.ems.chemicalconstituents.service;

import com.steerinfo.framework.service.ICBaseService;
import com.steerinfo.ems.chemicalconstituents.model.ChemicalConstituents;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * ChemicalConstituents服务接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-12-03 10:03
 * 类描述
 * 修订历史：
 * 日期：2021-12-03
 * 作者：generator
 * 参考：
 * 描述：ChemicalConstituents服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface IChemicalConstituentsService extends ICBaseService<ChemicalConstituents, String>{
    //根据国贸id来获取成分信息
    public List<ChemicalConstituents> getDataByGmid(@Param("gmid") String gmid);
}