package com.steerinfo.ems.chemicalconstituents.service.impl;

import com.steerinfo.framework.mapper.ICBaseMapper;
import com.steerinfo.framework.service.impl.CBaseServiceImpl;
import com.steerinfo.ems.chemicalconstituents.model.ChemicalConstituents;
import com.steerinfo.ems.chemicalconstituents.mapper.ChemicalConstituentsMapper;
import com.steerinfo.ems.chemicalconstituents.service.IChemicalConstituentsService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * ChemicalConstituents服务实现：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-12-03 10:03
 * 类描述
 * 修订历史：
 * 日期：2021-12-03
 * 作者：generator
 * 参考：
 * 描述：ChemicalConstituents服务实现
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
@Service(value = "chemicalConstituentsService")
public class ChemicalConstituentsServiceImpl extends CBaseServiceImpl<ChemicalConstituents, String> implements IChemicalConstituentsService {

    @Autowired
    private ChemicalConstituentsMapper chemicalConstituentsMapper;

    @Override
    protected ICBaseMapper<ChemicalConstituents, String> getMapper() {
        return chemicalConstituentsMapper;
    }

    @Override
    public List<ChemicalConstituents> getDataByGmid(String gmid) {
        return chemicalConstituentsMapper.getDataByGmid(gmid);
    }
}
